package ru.yandex.autotests.mediaplan.client;

import com.google.gson.FieldNamingPolicy;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import java.text.SimpleDateFormat;

/**
 * Changes by chicos on 03.12.2014.
 */
public class JSONBuilder {
    private JSONBuilder(){}
    public static final Gson gson = new GsonBuilder()
            .serializeSpecialFloatingPointValues()
            .setFieldNamingPolicy(FieldNamingPolicy.UPPER_CAMEL_CASE)
            .setDateFormat(new SimpleDateFormat("yyyy-MM-dd").toPattern())
            .setPrettyPrinting()
            .create();
}
